Index: experimental/distortionNG/main.cpp
===================================================================
--- experimental/distortionNG/main.cpp	(revision 341)
+++ experimental/distortionNG/main.cpp	(revision 342)
@@ -42,5 +42,5 @@
     extViewer viewer(arguments);
 
-	osg::Image* intMap = osgDB::readImageFile("intensitymap2.png");
+	osg::Image* intMap = osgDB::readImageFile("intensitymap.png");
 	if (!intMap)
 	{
@@ -143,5 +143,4 @@
 The intersection works and the selector highlighter is set and displayed correctly.
 Next steps:
- * use a variable to control whether distortion setup is active or not. temporarily track the Ctrl Key to enably(push or disable(release) the edit mode.
  * Hide the highlighter and disable the intersection/drag tracking on diabled edit mode.
  * catch up dragging values and translate them in the correct coordinate frame.
@@ -152,3 +151,61 @@
  
 
+ * 
+ * Layout vom Distortion System
+ * 
+ * Das distortion systme unterstüzt verzerrungen ,die pro kanal auhc nur eine camera verwenden.
+ * Verzerrungen, die das Bild je Kanal aus mehreren Cams zusammensetzen um Views>=180° zu erreichen werden nicht unterstützt da hierfür das Camera Setup nötig wäre, welches nicht im distortion-Container gespeichert wird (Sonderfall, zu speziell für das Dist-Framework)
+ * 
+ * 
+ * modul								Funktionen / Description
+ * 
+ * plugin .dist							load / Save distContainers					loads and saves via serializers the distortion container from/to file.
+ * 
+ * 
+ * Distortion Container					Beinhaltet die folgenden Distortion Details:
+ *										- Blendmap (osgImage) 
+ *										- Mesh Dimensions (rows, columns)
+ * 										- Mesh Type (osg::PrimitiveSet::QUAD_STRIP, ...)
+ * 										- textureUnit for Scene RTT (z.B.: 0)
+ * 										- textureUnit for blendmap (z.B.: 1)
+ * 										- screenNum
+ * 										- slaveCam projectionOffset (wird mit der vom master multipliziert und auf die slave cam angewendet, meist identity)
+ * 										- slaveCam viewOffset	(wird mit der vom master multipliziert und auf die slave cam angewendet, verwendet für translation und rotation offset)
+ * 										
+ *										need to add setter/getter as well as the serializer macros.
+ * 
+ * 
+ * osgViewer							load and apply distortion (apply via setupDistortion(...)
+ *										setUpIntensityMapBlending(string filepath, int rrtTexUnit=1, int scenTexUnit=0): simple function providing a file path, and optionally the texUnits to use. Wil invoke the more detailed funtion for setup.
+ *										setUpIntensityMapBlending(osg::StateSet* stateset, osg::Image* intensityMap, unsigned int screenNum, int rttSceneTextureUnit, int intensityMapTextureUnit)
+ * 
+ * 
+ * distortionManipulator				abgeleitet von osgGA::GUIEventHandler
+ *										Grundfunktionen:
+ *										- Key for Show/Hide Distortion Mesh
+ *										- Key for Save distortion Handler  - via plugin
+ *										- Key for toggle distortion setup: 
+ *												DISABLED distortion modifications are forbidden (ggfs beim verlassen von DISABLED ggf. auf singleThreaded wechseln und beim aktivieren von DISABLED wieder auf das alte threadingmodel. Alternativ  die data variance des meshes beeinflussen)
+ *												MANUAL distortion modification via mouse Selection and drag'n'drop
+ *												DELEGATED via calling a foreign class or calling a subclassed function
+ *										- Key to control if mouse drags affects mesh coordinates or texture coordinates. Default: Mesh coordinates.
+ *										- Key to reset Distortion.
+ *										
+ *										Die Funktion  handle( const osgGA::GUIEventAdapter& ea, osgGA::GUIActionAdapter& aa ):
+ *											DISABLED: ignorieren
+ *											MANUAL : auf mouse selection und drags horchen und auf Distortion Anwenden. bei keys die obigen funktionen realisieren
+ *											DELEGATED : beim typ FRAME die Distortion zur Veränderung stellen indem der Pointer an die bearbeitende Funktion übergeben wird:
+ *																subsclassed function aufrufen bzw foreignClass->delegateDistortionSetup(distContainer& container)
+ *											
+ *										Vertex Highlighter für die Manuelle Verzerrung soll nur eingeblendet werden wenn der Betriebsmodus MANUAL ist.
+ * 
+ *										
+ * blending Manipulator					abgeleitet von osgGA::GUIEventHandler
+ *										Grundfunktionen:
+ * 
+ *										- To Do
+ *										
+ * 
+ * 
+ * 
 */
